Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Types.WlbMalformedResponse

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.xensource.xenapi.Types.XenAPIException
                      com.xensource.xenapi.Types.WlbMalformedResponse

All Implemented Interfaces:
  Serializable

Enclosing class:
  Types

    public static class Types.WlbMalformedResponse

extends Types.XenAPIException

The WLB server said something that XenServer wasn't expecting or didn't understand. The method called on the WLB server, a diagnostic reason, and the response from WLB are returned.

See Also:
  Serialized Form

Field Summary
`String` | `method`
`String` | `reason`
`String` | `response`

Fields inherited from class com.xensource.xenapi.Types.XenAPIException
`errorDescription, shortDescription`

Constructor Summary
`Types.WlbMalformedResponse(String method, String reason, String response)` Create a new WlbMalformedResponse

Method Summary

Methods inherited from class com.xensource.xenapi.Types.XenAPIException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### method

    public final String method

### reason

    public final String reason

### response

    public final String response

Constructor Detail

### Types.WlbMalformedResponse

    public Types.WlbMalformedResponse(String method,
                                      String reason,
                                      String response)

  Create a new WlbMalformedResponse

  Parameters:
    `method` -
    `reason` -
    `response` -

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD